## org.apache.http.nio.reactor
Interface SessionBufferStatus

All Known Implementing Classes:
  DefaultNHttpClientConnection, DefaultNHttpServerConnection, NHttpConnectionBase, SSLIOSession, SSLIOSession

    public interface SessionBufferStatus

SessionBufferStatus interface is intended to query the status of session I/O buffers.

Since:
  4.0

Method Summary
`boolean` `hasBufferedInput()` Determines if the session input buffer contains data.
`boolean` `hasBufferedOutput()` Determines if the session output buffer contains data.

Method Detail

### hasBufferedInput

    boolean hasBufferedInput()

  Determines if the session input buffer contains data.

  Returns:
    `true` if the session input buffer contains data, `false` otherwise.

### hasBufferedOutput

    boolean hasBufferedOutput()

  Determines if the session output buffer contains data.

  Returns:
    `true` if the session output buffer contains data, `false` otherwise.

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.